unit Unit1;

interface

uses
  Windows,ShellApi ,Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, IAcolorRichEdit, ExtCtrls;

type
  TForm1 = class(TForm)
    IAcolorRichEdit1: TIAcolorRichEdit;
    Button1: TButton;
    OpenDialog1: TOpenDialog;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    SaveDialog1: TSaveDialog;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var s : string;
    Astream : TFilestream;
begin
  if opendialog1.Execute then
    begin
      try
        AStream:=TFileStream.Create(OpenDialog1.filename,fmOpenRead);
        try
          setlength(s,AStream.size);
          aStream.ReadBuffer(s[1],AStream.size);

       //   IAcolorRichEdit1.Text:=s;
          IAcolorRichEdit1.RefreshColorsAsFirstLoad(s);
        finally
          AStream.free;
        end;
      except

      end;
    end;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  IAcolorRichEdit1.RefreshColors(false);
end;

procedure TForm1.Button3Click(Sender: TObject);
var s,savefile1 : string;
    AStream : TFileStream;
begin
//
s:=IAcolorRichEdit1.text;
savefile1:=ExtractFilePath(application.ExeName)+'tempIA.htm';
try
  AStream := TFileStream.Create(savefile1,fmCreate);
  try
    astream.WriteBuffer(s[1],length(s));
  finally
    Astream.Free;
  end;
except
  showmessage('Can''t to create file  '+savefile1);
end;


shellexecute(self.handle,'open',@(savefile1[1]),'',@(ExtractFilePath(application.ExeName)[1]),SW_SHOWNORMAL);
end;

procedure TForm1.FormDestroy(Sender: TObject);
var savefile1 : string;
begin
  savefile1:=ExtractFilePath(application.ExeName)+'tempIA.htm';
  deletefile(savefile1);
end;

procedure TForm1.Button4Click(Sender: TObject);
var s : string;
    AStream : TFileStream;
begin
//
s:=IAcolorRichEdit1.text;
if savedialog1.Execute then
  begin
    try
      AStream := TFileStream.Create(savedialog1.FileName,fmCreate);
      try
        AStream.WriteBuffer(s[1],length(s));
      finally
        Astream.Free;
      end;
    except
      showmessage('Can''t to create file  '+savedialog1.FileName);
    end;
  end;
end;

end.
